import { BaseQuery } from './BaseQuery';
import { ParamAllocator } from './ParamAllocator';
declare class PostgresParamAllocator extends ParamAllocator {
    paramPlaceHolder(paramIndex: any): string;
}
export declare class PostgresQuery extends BaseQuery {
    newParamAllocator(expressionParams: any): PostgresParamAllocator;
    convertTz(field: string): string;
    timeGroupedColumn(granularity: string, dimension: string): string;
    /**
     * Returns sql for source expression floored to timestamps aligned with
     * intervals relative to origin timestamp point.
     * Postgres operates with whole intervals as is without measuring them in plain seconds.
     * This implementation should also work for AWS RedShift.
     */
    dateBin(interval: string, source: string, origin: string): string;
    hllInit(sql: any): string;
    hllMerge(sql: any): string;
    countDistinctApprox(sql: any): string;
    sqlTemplates(): any;
    get shouldReuseParams(): boolean;
}
export {};
//# sourceMappingURL=PostgresQuery.d.ts.map